> ## Documentation Index > Fetch the complete documentation index at: https://documents.trocco.io/llms.txt > Use this file to discover all available pages before exploring further. # dbt Gitリポジトリ一覧取得 ## OpenAPI ````json GET /api/dbt_git_repositories { "openapi": "3.0.3", "info": { "title": "trocco APIリファレンス", "description": "trocco APIリファレンス", "version": "0.0.1" }, "servers": [ { "url": "https://trocco.io" } ], "security": [ { "ApiKeyAuth": [] } ], "tags": [ { "name": "users", "description": "ユーザー", "externalDocs": { "url": "https://documents.trocco.io/docs/about-account-user" } }, { "name": "teams", "description": "チーム", "externalDocs": { "url": "https://documents.trocco.io/docs/team" } }, { "name": "connections", "description": "接続情報", "externalDocs": { "url": "https://documents.trocco.io/docs/connection-configurations" } }, { "name": "custom_connectors", "description": "カスタムコネクタ定義" }, { "name": "datamart_definitions", "description": "データマート定義", "externalDocs": { "url": "https://documents.trocco.io/docs/data-mart" } }, { "name": "environment_groups", "description": "環境グループ" }, { "name": "environments", "description": "環境" }, { "name": "jobs", "description": "転送ジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/etl-configuration" } }, { "name": "pipeline_jobs", "description": "ワークフロージョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/about-workflow" } }, { "name": "resource_groups", "description": "リソースグループ", "externalDocs": { "url": "https://documents.trocco.io/docs/resource-group" } }, { "name": "dbt_git_repositories", "description": "dbt Gitリポジトリ" }, { "name": "dbt_job_definitions", "description": "dbtジョブ設定", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "dbt_jobs", "description": "dbtジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "notification_destinations", "description": "通知先", "externalDocs": { "url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings" } } ], "externalDocs": { "description": "trocco APIについて", "url": "https://documents.trocco.io/docs/trocco-api" }, "paths": { "/api/dbt_git_repositories": { "get": { "summary": "dbt Gitリポジトリ一覧取得", "operationId": "getDbtGitRepositories", "tags": [ "dbt_git_repositories" ], "parameters": [ { "name": "limit", "description": "取得するdbt Gitリポジトリの最大件数", "in": "query", "schema": { "type": "integer", "format": "int64", "default": 50, "maximum": 200 } }, { "name": "cursor", "description": "取得するdbt Gitリポジトリ一覧の最初のレコードを示すページネーションカーソル
\nレスポンスに含まれる`next_cursor`をセットすると、後続のdbt Gitリポジトリ一覧を取得できます。\n", "in": "query", "schema": { "type": "string" }, "example": "eyJpZCI6MjF9" } ], "responses": { "200": { "description": "dbt Gitリポジトリ一覧を返します。", "content": { "application/json": { "schema": { "allOf": [ { "type": "object", "properties": { "items": { "type": "array", "items": { "type": "object", "properties": { "id": { "description": "dbt Gitリポジトリ ID", "type": "integer", "format": "int64", "example": 1 }, "name": { "description": "dbt Gitリポジトリ名", "type": "string", "example": "sample_repository" }, "description": { "description": "説明", "type": "string", "nullable": true, "example": "サンプルリポジトリ" }, "adapter_type": { "type": "string", "enum": [ "bigquery", "snowflake", "redshift" ], "example": "bigquery" }, "dbt_version": { "type": "string", "enum": [ "1.8", "1.9", "1.10", "1.11", "1.12" ], "example": "1.12" }, "url": { "type": "string", "example": "git@github.com:trocco-io/dbt-sample.git" }, "ref_type": { "type": "string", "enum": [ "branch", "tag", "commit_hash" ], "example": "branch" }, "branch": { "type": "string", "nullable": true, "example": "main" }, "tag": { "type": "string", "nullable": true, "example": "v1.0.0" }, "commit_hash": { "type": "string", "nullable": true, "example": "0123456789abcdef0123456789abcdef01234567" }, "subdirectory": { "type": "string", "nullable": true, "example": "dbt/" }, "resource_group_id": { "type": "integer", "format": "int64", "nullable": true, "example": 1 }, "created_at": { "type": "string", "example": "2023-08-22T18:00:00+00:00" }, "updated_at": { "type": "string", "example": "2023-08-22T18:00:00+00:00" } } } } }, "required": [ "items" ] }, { "title": "Pagination", "type": "object", "properties": { "next_cursor": { "description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。", "type": "string" } } } ] } } } }, "400": { "description": "不正なリクエストです。\n" }, "401": { "description": "API KEYが不正です。\n" } } } } }, "components": { "securitySchemes": { "ApiKeyAuth": { "type": "apiKey", "in": "header", "name": "Authorization", "description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n" } } } } ````